Debian Bug report logs - #138940
ITA: srecord -- Manipulate EPROM load files

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: <vlm@debian.org>

Date: Mon, 18 Mar 2002 19:03:01 UTC

Severity: normal

Fixed in version srecord/1.9-5

Done: Martin Michlmayr <tbm@cyrius.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#138940; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to <vlm@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: <vlm@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: srecord
Date: Mon, 18 Mar 2002 12:53:33 -0600
Package: wnpp
Version: N/A; reported 2002-03-18
Severity: normal

Hello,

Sadly, I will orphan srecord.

Primary reason why is the libstdc++-v3 transition.

The source doesn't use std: namespace properly, which is easy to fix,
although highly tedious.

The harder problem is the transition away from strstream and so forth.

It won't compile on HPPA, so it'll probably be removed from the archive
soon.

c++ is just an inappropriate language for string manipulations.
Personally I'll be using srecord until I can't anymore, and then
I'll reimplement what I need in Perl.

Upstream is quiet, and has not released recently.

I would not recommend someone adopt this unless they are a C++
programmer with some experience with libstdc++-v3.

The document at:
http://gcc.gnu.org/onlinedocs/libstdc++/17_intro/porting-howto.html
may be helpful.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux firewall 2.4.17-386 #2 Sat Dec 22 21:55:21 EST 2001 i486
Locale: LANG=C, LC_CTYPE=C




Changed Bug title. Request was from Uwe Hermann <uh1763@hermann-uwe.de> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Stephen M Moraco <stephen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to <vlm@debian.org> Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Message #12 received at 138940-close@bugs.debian.org (full text, mbox):

From: Stephen M Moraco <stephen@debian.org>
To: 138940-close@bugs.debian.org
Subject: Bug#138940: fixed in srecord 1.9-5
Date: Sun, 19 May 2002 02:03:52 -0400
We believe that the bug you reported is fixed in the latest version of
srecord, which is due to be installed in the Debian FTP archive:

srecord_1.9-5.diff.gz
  to pool/main/s/srecord/srecord_1.9-5.diff.gz
srecord_1.9-5.dsc
  to pool/main/s/srecord/srecord_1.9-5.dsc
srecord_1.9-5_i386.deb
  to pool/main/s/srecord/srecord_1.9-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 138940@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen M Moraco <stephen@debian.org> (supplier of updated srecord package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 17 Apr 2002 00:47:38 -0600
Source: srecord
Binary: srecord
Architecture: source i386
Version: 1.9-5
Distribution: unstable
Urgency: low
Maintainer: Stephen M Moraco <stephen@debian.org>
Changed-By: Stephen M Moraco <stephen@debian.org>
Description: 
 srecord    - Manipulate EPROM load files
Closes: 126005 138940
Changes: 
 srecord (1.9-5) unstable; urgency=low
 .
   * New Maintainer (Closes: Bug#138940)
   * Close 2nd dupe? WNPP bug too (Closes: Bug#126005)
Files: 
 55b6a23904f5098c65fef8a487b2a535 598 utils extra srecord_1.9-5.dsc
 e9487589f450a57ddf518e577992503c 3934 utils extra srecord_1.9-5.diff.gz
 699d52079df32b771e1a67887fea2e9d 213944 utils extra srecord_1.9-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8vR85Oq4cperZJZoRAoFTAKCRXS5jn1bLWSuGQq2pUpTKhWgM5QCeMGAu
mB8eW/cc9h4rHhdpDsWBYIc=
=eQKn
-----END PGP SIGNATURE-----




Message #13 received at 138940-close@bugs.debian.org (full text, mbox):

From: Stephen M Moraco <stephen@debian.org>
To: 138940-close@bugs.debian.org
Subject: Bug#138940: fixed in srecord 1.9-5
Date: Sun, 19 May 2002 02:17:14 -0400
We believe that the bug you reported is fixed in the latest version of
srecord, which is due to be installed in the Debian FTP archive:

srecord_1.9-5.diff.gz
  to pool/main/s/srecord/srecord_1.9-5.diff.gz
srecord_1.9-5.dsc
  to pool/main/s/srecord/srecord_1.9-5.dsc
srecord_1.9-5_i386.deb
  to pool/main/s/srecord/srecord_1.9-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 138940@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen M Moraco <stephen@debian.org> (supplier of updated srecord package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 17 Apr 2002 00:47:38 -0600
Source: srecord
Binary: srecord
Architecture: source i386
Version: 1.9-5
Distribution: unstable
Urgency: low
Maintainer: Stephen M Moraco <stephen@debian.org>
Changed-By: Stephen M Moraco <stephen@debian.org>
Description: 
 srecord    - Manipulate EPROM load files
Closes: 126005 138940
Changes: 
 srecord (1.9-5) unstable; urgency=low
 .
   * New Maintainer (Closes: Bug#138940)
   * Close 2nd dupe? WNPP bug too (Closes: Bug#126005)
Files: 
 55b6a23904f5098c65fef8a487b2a535 598 utils extra srecord_1.9-5.dsc
 e9487589f450a57ddf518e577992503c 3934 utils extra srecord_1.9-5.diff.gz
 699d52079df32b771e1a67887fea2e9d 213944 utils extra srecord_1.9-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8vR85Oq4cperZJZoRAoFTAKCRXS5jn1bLWSuGQq2pUpTKhWgM5QCeMGAu
mB8eW/cc9h4rHhdpDsWBYIc=
=eQKn
-----END PGP SIGNATURE-----




Message #14 received at 138940-close@bugs.debian.org (full text, mbox):

From: Stephen M Moraco <stephen@debian.org>
To: 138940-close@bugs.debian.org
Subject: Bug#138940: fixed in srecord 1.9-5
Date: Sun, 19 May 2002 02:14:04 -0400
We believe that the bug you reported is fixed in the latest version of
srecord, which is due to be installed in the Debian FTP archive:

srecord_1.9-5.diff.gz
  to pool/main/s/srecord/srecord_1.9-5.diff.gz
srecord_1.9-5.dsc
  to pool/main/s/srecord/srecord_1.9-5.dsc
srecord_1.9-5_i386.deb
  to pool/main/s/srecord/srecord_1.9-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 138940@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen M Moraco <stephen@debian.org> (supplier of updated srecord package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 17 Apr 2002 00:47:38 -0600
Source: srecord
Binary: srecord
Architecture: source i386
Version: 1.9-5
Distribution: unstable
Urgency: low
Maintainer: Stephen M Moraco <stephen@debian.org>
Changed-By: Stephen M Moraco <stephen@debian.org>
Description: 
 srecord    - Manipulate EPROM load files
Closes: 126005 138940
Changes: 
 srecord (1.9-5) unstable; urgency=low
 .
   * New Maintainer (Closes: Bug#138940)
   * Close 2nd dupe? WNPP bug too (Closes: Bug#126005)
Files: 
 55b6a23904f5098c65fef8a487b2a535 598 utils extra srecord_1.9-5.dsc
 e9487589f450a57ddf518e577992503c 3934 utils extra srecord_1.9-5.diff.gz
 699d52079df32b771e1a67887fea2e9d 213944 utils extra srecord_1.9-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8vR85Oq4cperZJZoRAoFTAKCRXS5jn1bLWSuGQq2pUpTKhWgM5QCeMGAu
mB8eW/cc9h4rHhdpDsWBYIc=
=eQKn
-----END PGP SIGNATURE-----




Message #15 received at 138940-close@bugs.debian.org (full text, mbox):

From: Stephen M Moraco <stephen@debian.org>
To: 138940-close@bugs.debian.org
Subject: Bug#138940: fixed in srecord 1.9-5
Date: Fri, 31 May 2002 11:09:27 -0400
We believe that the bug you reported is fixed in the latest version of
srecord, which is due to be installed in the Debian FTP archive:

srecord_1.9-5.diff.gz
  to pool/main/s/srecord/srecord_1.9-5.diff.gz
srecord_1.9-5.dsc
  to pool/main/s/srecord/srecord_1.9-5.dsc
srecord_1.9-5_i386.deb
  to pool/main/s/srecord/srecord_1.9-5_i386.deb
srecord_1.9.orig.tar.gz
  to pool/main/s/srecord/srecord_1.9.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 138940@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen M Moraco <stephen@debian.org> (supplier of updated srecord package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 17 Apr 2002 00:47:38 -0600
Source: srecord
Binary: srecord
Architecture: source i386
Version: 1.9-5
Distribution: unstable
Urgency: low
Maintainer: Stephen M Moraco <stephen@debian.org>
Changed-By: Stephen M Moraco <stephen@debian.org>
Description: 
 srecord    - Manipulate EPROM load files
Closes: 126005 138940
Changes: 
 srecord (1.9-5) unstable; urgency=low
 .
   * New Maintainer (Closes: Bug#138940)
   * Close 2nd dupe? WNPP bug too (Closes: Bug#126005)
Files: 
 3ac4b82aa9837eb0990b27bb2e1ecf1f 598 utils extra srecord_1.9-5.dsc
 3ee5644c838e14f444da2b36459c4943 228327 utils extra srecord_1.9.orig.tar.gz
 8424454c65ce7c5805965f02d003d696 3934 utils extra srecord_1.9-5.diff.gz
 109e974f70ee71735394bb0078747454 213944 utils extra srecord_1.9-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE89JmAOq4cperZJZoRAkl+AJ9WrvvHGzyNHaEzjWV7EBcRtWNcWgCgm9/u
wWIShFUT8ibZNHZguF4ovj8=
=8NSG
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:34:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.